Activities
Use the Activities endpoint to query activity and change history in Violet.
The activities endpoint can be used to query activity and change history across your Violet tenant or for specific entities in your Violet environment.
Gets all the activities in Violet System.
Returned if the request is successful.
Returned when an API key or MCP caller requests a page beyond the first.
GET /api/activities HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"items": [
{}
],
"hasNextPage": true
}Gets a parentActivity in Violet System.
Activity with specified ID
GET /api/activities/{id} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
Activity with specified ID
{
"id": "text",
"class": "IntegrationActivity",
"eventType": "ENTITY_ADDED",
"details": {},
"createdAt": "2026-01-01T00:00:00.000Z",
"tenantId": "text",
"parentActivityId": "text",
"parentActivity": {
"id": "text",
"class": "IntegrationActivity",
"eventType": "ENTITY_ADDED",
"details": {},
"createdAt": "2026-01-01T00:00:00.000Z",
"tenantId": "text",
"parentActivityId": "text",
"parentActivity": {
"id": "text",
"class": "IntegrationActivity",
"eventType": "ENTITY_ADDED",
"details": {},
"createdAt": "2026-01-01T00:00:00.000Z",
"tenantId": "text",
"parentActivityId": "text",
"parentActivity": {
"id": "text",
"class": "IntegrationActivity",
"eventType": "ENTITY_ADDED",
"details": {},
"createdAt": "2026-01-01T00:00:00.000Z",
"tenantId": "text",
"parentActivityId": "text",
"parentActivity": {
"id": "text",
"class": "IntegrationActivity",
"eventType": "ENTITY_ADDED",
"details": {},
"createdAt": "2026-01-01T00:00:00.000Z",
"tenantId": "text",
"parentActivityId": "text",
"parentActivity": {
"id": "text",
"class": "IntegrationActivity",
"eventType": "ENTITY_ADDED",
"details": {},
"createdAt": "2026-01-01T00:00:00.000Z",
"tenantId": "text",
"parentActivityId": "text",
"parentActivity": "[Circular Reference]",
"childActivities": "[Circular Reference]",
"allDescendantIds": [
"text"
],
"scopeWorkspaceIds": [
"text"
],
"scopeProgramIds": [
"text"
],
"scopeConnectionIds": [
"text"
],
"notificationEvents": "[Circular Reference]",
"fetchJobId": "text",
"workflowRuns": "[Circular Reference]",
"isHidden": true
},
"childActivities": [
"[Circular Reference]"
],
"allDescendantIds": [
"text"
],
"scopeWorkspaceIds": [
"text"
],
"scopeProgramIds": [
"text"
],
"scopeConnectionIds": [
"text"
],
"notificationEvents": [
"[Circular Reference]"
],
"fetchJobId": "text",
"workflowRuns": [
"[Circular Reference]"
],
"isHidden": true
},
"childActivities": [
{
"id": "text",
"class": "IntegrationActivity",
"eventType": "ENTITY_ADDED",
"details": {},
"createdAt": "2026-01-01T00:00:00.000Z",
"tenantId": "text",
"parentActivityId": "text",
"parentActivity": {
"id": "text",
"class": "IntegrationActivity",
"eventType": "ENTITY_ADDED",
"details": {},
"createdAt": "2026-01-01T00:00:00.000Z",
"tenantId": "text",
"parentActivityId": "text",
"parentActivity": {
"id": "text",
"class": "IntegrationActivity",
"eventType": "ENTITY_ADDED",
"details": {},
"createdAt": "2026-01-01T00:00:00.000Z",
"tenantId": "text",
"parentActivityId": "text",
"parentActivity": "[Circular Reference]",
"childActivities": "[Circular Reference]",
"allDescendantIds": [
"text"
],
"scopeWorkspaceIds": [
"text"
],
"scopeProgramIds": [
"text"
],
"scopeConnectionIds": [
"text"
],
"notificationEvents": "[Circular Reference]",
"fetchJobId": "text",
"workflowRuns": "[Circular Reference]",
"isHidden": true
},
"childActivities": [
"[Circular Reference]"
],
"allDescendantIds": [
"text"
],
"scopeWorkspaceIds": [
"text"
],
"scopeProgramIds": [
"text"
],
"scopeConnectionIds": [
"text"
],
"notificationEvents": [
"[Circular Reference]"
],
"fetchJobId": "text",
"workflowRuns": [
"[Circular Reference]"
],
"isHidden": true
},
"childActivities": "[Circular Reference]",
"allDescendantIds": [
"text"
],
"scopeWorkspaceIds": [
"text"
],
"scopeProgramIds": [
"text"
],
"scopeConnectionIds": [
"text"
],
"notificationEvents": "[Circular Reference]",
"fetchJobId": "text",
"workflowRuns": "[Circular Reference]",
"isHidden": true
}
],
"allDescendantIds": [
"text"
],
"scopeWorkspaceIds": [
"text"
],
"scopeProgramIds": [
"text"
],
"scopeConnectionIds": [
"text"
],
"notificationEvents": [
{
"id": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"deletedAt": "2026-01-01T00:00:00.000Z",
"status": "unread",
"seq": 1,
"activity": "[Circular Reference]",
"notificationTitle": "text",
"notificationUrl": "text",
"targetUserId": "text",
"targetUser": "[Circular Reference]"
}
],
"fetchJobId": "text",
"workflowRuns": [
{
"id": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"deletedAt": "2026-01-01T00:00:00.000Z",
"workflowConfiguration": "[Circular Reference]",
"workflowConfigurationId": "text",
"runStartAt": "2026-01-01T00:00:00.000Z",
"runFinishedAt": "2026-01-01T00:00:00.000Z",
"runStatus": "QUEUED",
"runInfo": "text",
"activity": "[Circular Reference]",
"gateResponder": "[Circular Reference]",
"createdSyncChanges": "[Circular Reference]",
"executedSyncChanges": "[Circular Reference]"
}
],
"isHidden": true
},
"childActivities": [
{
"id": "text",
"class": "IntegrationActivity",
"eventType": "ENTITY_ADDED",
"details": {},
"createdAt": "2026-01-01T00:00:00.000Z",
"tenantId": "text",
"parentActivityId": "text",
"parentActivity": {
"id": "text",
"class": "IntegrationActivity",
"eventType": "ENTITY_ADDED",
"details": {},
"createdAt": "2026-01-01T00:00:00.000Z",
"tenantId": "text",
"parentActivityId": "text",
"parentActivity": {
"id": "text",
"class": "IntegrationActivity",
"eventType": "ENTITY_ADDED",
"details": {},
"createdAt": "2026-01-01T00:00:00.000Z",
"tenantId": "text",
"parentActivityId": "text",
"parentActivity": "[Circular Reference]",
"childActivities": "[Circular Reference]",
"allDescendantIds": [
"text"
],
"scopeWorkspaceIds": [
"text"
],
"scopeProgramIds": [
"text"
],
"scopeConnectionIds": [
"text"
],
"notificationEvents": "[Circular Reference]",
"fetchJobId": "text",
"workflowRuns": "[Circular Reference]",
"isHidden": true
},
"childActivities": [
"[Circular Reference]"
],
"allDescendantIds": [
"text"
],
"scopeWorkspaceIds": [
"text"
],
"scopeProgramIds": [
"text"
],
"scopeConnectionIds": [
"text"
],
"notificationEvents": [
"[Circular Reference]"
],
"fetchJobId": "text",
"workflowRuns": [
"[Circular Reference]"
],
"isHidden": true
},
"childActivities": "[Circular Reference]",
"allDescendantIds": [
"text"
],
"scopeWorkspaceIds": [
"text"
],
"scopeProgramIds": [
"text"
],
"scopeConnectionIds": [
"text"
],
"notificationEvents": "[Circular Reference]",
"fetchJobId": "text",
"workflowRuns": "[Circular Reference]",
"isHidden": true
}
],
"allDescendantIds": [
"text"
],
"scopeWorkspaceIds": [
"text"
],
"scopeProgramIds": [
"text"
],
"scopeConnectionIds": [
"text"
],
"notificationEvents": [
{
"id": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"deletedAt": "2026-01-01T00:00:00.000Z",
"status": "unread",
"seq": 1,
"activity": "[Circular Reference]",
"notificationTitle": "text",
"notificationUrl": "text",
"targetUserId": "text",
"targetUser": "[Circular Reference]"
}
],
"fetchJobId": "text",
"workflowRuns": [
{
"id": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"deletedAt": "2026-01-01T00:00:00.000Z",
"workflowConfiguration": "[Circular Reference]",
"workflowConfigurationId": "text",
"runStartAt": "2026-01-01T00:00:00.000Z",
"runFinishedAt": "2026-01-01T00:00:00.000Z",
"runStatus": "QUEUED",
"runInfo": "text",
"activity": "[Circular Reference]",
"gateResponder": "[Circular Reference]",
"createdSyncChanges": "[Circular Reference]",
"executedSyncChanges": "[Circular Reference]"
}
],
"isHidden": true
},
"childActivities": [
{
"id": "text",
"class": "IntegrationActivity",
"eventType": "ENTITY_ADDED",
"details": {},
"createdAt": "2026-01-01T00:00:00.000Z",
"tenantId": "text",
"parentActivityId": "text",
"parentActivity": {
"id": "text",
"class": "IntegrationActivity",
"eventType": "ENTITY_ADDED",
"details": {},
"createdAt": "2026-01-01T00:00:00.000Z",
"tenantId": "text",
"parentActivityId": "text",
"parentActivity": {
"id": "text",
"class": "IntegrationActivity",
"eventType": "ENTITY_ADDED",
"details": {},
"createdAt": "2026-01-01T00:00:00.000Z",
"tenantId": "text",
"parentActivityId": "text",
"parentActivity": "[Circular Reference]",
"childActivities": "[Circular Reference]",
"allDescendantIds": [
"text"
],
"scopeWorkspaceIds": [
"text"
],
"scopeProgramIds": [
"text"
],
"scopeConnectionIds": [
"text"
],
"notificationEvents": "[Circular Reference]",
"fetchJobId": "text",
"workflowRuns": "[Circular Reference]",
"isHidden": true
},
"childActivities": [
"[Circular Reference]"
],
"allDescendantIds": [
"text"
],
"scopeWorkspaceIds": [
"text"
],
"scopeProgramIds": [
"text"
],
"scopeConnectionIds": [
"text"
],
"notificationEvents": [
"[Circular Reference]"
],
"fetchJobId": "text",
"workflowRuns": [
"[Circular Reference]"
],
"isHidden": true
},
"childActivities": "[Circular Reference]",
"allDescendantIds": [
"text"
],
"scopeWorkspaceIds": [
"text"
],
"scopeProgramIds": [
"text"
],
"scopeConnectionIds": [
"text"
],
"notificationEvents": "[Circular Reference]",
"fetchJobId": "text",
"workflowRuns": "[Circular Reference]",
"isHidden": true
}
],
"allDescendantIds": [
"text"
],
"scopeWorkspaceIds": [
"text"
],
"scopeProgramIds": [
"text"
],
"scopeConnectionIds": [
"text"
],
"notificationEvents": [
{
"id": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"deletedAt": "2026-01-01T00:00:00.000Z",
"status": "unread",
"seq": 1,
"activity": "[Circular Reference]",
"notificationTitle": "text",
"notificationUrl": "text",
"targetUserId": "text",
"targetUser": "[Circular Reference]"
}
],
"fetchJobId": "text",
"workflowRuns": [
{
"id": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"deletedAt": "2026-01-01T00:00:00.000Z",
"workflowConfiguration": "[Circular Reference]",
"workflowConfigurationId": "text",
"runStartAt": "2026-01-01T00:00:00.000Z",
"runFinishedAt": "2026-01-01T00:00:00.000Z",
"runStatus": "QUEUED",
"runInfo": "text",
"activity": "[Circular Reference]",
"gateResponder": "[Circular Reference]",
"createdSyncChanges": "[Circular Reference]",
"executedSyncChanges": "[Circular Reference]"
}
],
"isHidden": true
},
"childActivities": [
{
"id": "text",
"class": "IntegrationActivity",
"eventType": "ENTITY_ADDED",
"details": {},
"createdAt": "2026-01-01T00:00:00.000Z",
"tenantId": "text",
"parentActivityId": "text",
"parentActivity": {
"id": "text",
"class": "IntegrationActivity",
"eventType": "ENTITY_ADDED",
"details": {},
"createdAt": "2026-01-01T00:00:00.000Z",
"tenantId": "text",
"parentActivityId": "text",
"parentActivity": {
"id": "text",
"class": "IntegrationActivity",
"eventType": "ENTITY_ADDED",
"details": {},
"createdAt": "2026-01-01T00:00:00.000Z",
"tenantId": "text",
"parentActivityId": "text",
"parentActivity": "[Circular Reference]",
"childActivities": "[Circular Reference]",
"allDescendantIds": [
"text"
],
"scopeWorkspaceIds": [
"text"
],
"scopeProgramIds": [
"text"
],
"scopeConnectionIds": [
"text"
],
"notificationEvents": "[Circular Reference]",
"fetchJobId": "text",
"workflowRuns": "[Circular Reference]",
"isHidden": true
},
"childActivities": [
"[Circular Reference]"
],
"allDescendantIds": [
"text"
],
"scopeWorkspaceIds": [
"text"
],
"scopeProgramIds": [
"text"
],
"scopeConnectionIds": [
"text"
],
"notificationEvents": [
"[Circular Reference]"
],
"fetchJobId": "text",
"workflowRuns": [
"[Circular Reference]"
],
"isHidden": true
},
"childActivities": "[Circular Reference]",
"allDescendantIds": [
"text"
],
"scopeWorkspaceIds": [
"text"
],
"scopeProgramIds": [
"text"
],
"scopeConnectionIds": [
"text"
],
"notificationEvents": "[Circular Reference]",
"fetchJobId": "text",
"workflowRuns": "[Circular Reference]",
"isHidden": true
}
],
"allDescendantIds": [
"text"
],
"scopeWorkspaceIds": [
"text"
],
"scopeProgramIds": [
"text"
],
"scopeConnectionIds": [
"text"
],
"notificationEvents": [
{
"id": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"deletedAt": "2026-01-01T00:00:00.000Z",
"status": "unread",
"seq": 1,
"activity": "[Circular Reference]",
"notificationTitle": "text",
"notificationUrl": "text",
"targetUserId": "text",
"targetUser": "[Circular Reference]"
}
],
"fetchJobId": "text",
"workflowRuns": [
{
"id": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"deletedAt": "2026-01-01T00:00:00.000Z",
"workflowConfiguration": "[Circular Reference]",
"workflowConfigurationId": "text",
"runStartAt": "2026-01-01T00:00:00.000Z",
"runFinishedAt": "2026-01-01T00:00:00.000Z",
"runStatus": "QUEUED",
"runInfo": "text",
"activity": "[Circular Reference]",
"gateResponder": "[Circular Reference]",
"createdSyncChanges": "[Circular Reference]",
"executedSyncChanges": "[Circular Reference]"
}
],
"isHidden": true
}Gets all the Activities for a Violet Entity in the Violet System
External ID of the Violet Entity
Integration Entity IDs to filter by
The maximum number of results to return.
A page number within the paginated result set.
Activities pertaining to the given Violet Entity
GET /api/activities/violet-entity?externalId=text&integrationEntityIds=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
Activities pertaining to the given Violet Entity
{
"items": [
{
"id": "text",
"class": "IntegrationActivity",
"eventType": "ENTITY_ADDED",
"details": {},
"createdAt": "2026-01-01T00:00:00.000Z",
"tenantId": "text",
"parentActivityId": "text",
"parentActivity": {
"id": "text",
"class": "IntegrationActivity",
"eventType": "ENTITY_ADDED",
"details": {},
"createdAt": "2026-01-01T00:00:00.000Z",
"tenantId": "text",
"parentActivityId": "text",
"parentActivity": {
"id": "text",
"class": "IntegrationActivity",
"eventType": "ENTITY_ADDED",
"details": {},
"createdAt": "2026-01-01T00:00:00.000Z",
"tenantId": "text",
"parentActivityId": "text",
"parentActivity": "[Circular Reference]",
"childActivities": "[Circular Reference]",
"allDescendantIds": [
"text"
],
"scopeWorkspaceIds": [
"text"
],
"scopeProgramIds": [
"text"
],
"scopeConnectionIds": [
"text"
],
"notificationEvents": "[Circular Reference]",
"fetchJobId": "text",
"workflowRuns": "[Circular Reference]",
"isHidden": true
},
"childActivities": [
"[Circular Reference]"
],
"allDescendantIds": [
"text"
],
"scopeWorkspaceIds": [
"text"
],
"scopeProgramIds": [
"text"
],
"scopeConnectionIds": [
"text"
],
"notificationEvents": [
"[Circular Reference]"
],
"fetchJobId": "text",
"workflowRuns": [
"[Circular Reference]"
],
"isHidden": true
},
"childActivities": [
{
"id": "text",
"class": "IntegrationActivity",
"eventType": "ENTITY_ADDED",
"details": {},
"createdAt": "2026-01-01T00:00:00.000Z",
"tenantId": "text",
"parentActivityId": "text",
"parentActivity": {
"id": "text",
"class": "IntegrationActivity",
"eventType": "ENTITY_ADDED",
"details": {},
"createdAt": "2026-01-01T00:00:00.000Z",
"tenantId": "text",
"parentActivityId": "text",
"parentActivity": {
"id": "text",
"class": "IntegrationActivity",
"eventType": "ENTITY_ADDED",
"details": {},
"createdAt": "2026-01-01T00:00:00.000Z",
"tenantId": "text",
"parentActivityId": "text",
"parentActivity": "[Circular Reference]",
"childActivities": "[Circular Reference]",
"allDescendantIds": [
"text"
],
"scopeWorkspaceIds": [
"text"
],
"scopeProgramIds": [
"text"
],
"scopeConnectionIds": [
"text"
],
"notificationEvents": "[Circular Reference]",
"fetchJobId": "text",
"workflowRuns": "[Circular Reference]",
"isHidden": true
},
"childActivities": [
"[Circular Reference]"
],
"allDescendantIds": [
"text"
],
"scopeWorkspaceIds": [
"text"
],
"scopeProgramIds": [
"text"
],
"scopeConnectionIds": [
"text"
],
"notificationEvents": [
"[Circular Reference]"
],
"fetchJobId": "text",
"workflowRuns": [
"[Circular Reference]"
],
"isHidden": true
},
"childActivities": "[Circular Reference]",
"allDescendantIds": [
"text"
],
"scopeWorkspaceIds": [
"text"
],
"scopeProgramIds": [
"text"
],
"scopeConnectionIds": [
"text"
],
"notificationEvents": "[Circular Reference]",
"fetchJobId": "text",
"workflowRuns": "[Circular Reference]",
"isHidden": true
}
],
"allDescendantIds": [
"text"
],
"scopeWorkspaceIds": [
"text"
],
"scopeProgramIds": [
"text"
],
"scopeConnectionIds": [
"text"
],
"notificationEvents": [
{
"id": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"deletedAt": "2026-01-01T00:00:00.000Z",
"status": "unread",
"seq": 1,
"activity": "[Circular Reference]",
"notificationTitle": "text",
"notificationUrl": "text",
"targetUserId": "text",
"targetUser": "[Circular Reference]"
}
],
"fetchJobId": "text",
"workflowRuns": [
{
"id": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"deletedAt": "2026-01-01T00:00:00.000Z",
"workflowConfiguration": "[Circular Reference]",
"workflowConfigurationId": "text",
"runStartAt": "2026-01-01T00:00:00.000Z",
"runFinishedAt": "2026-01-01T00:00:00.000Z",
"runStatus": "QUEUED",
"runInfo": "text",
"activity": "[Circular Reference]",
"gateResponder": "[Circular Reference]",
"createdSyncChanges": "[Circular Reference]",
"executedSyncChanges": "[Circular Reference]"
}
],
"isHidden": true
}
],
"meta": {
"itemCount": 1,
"totalItems": 1,
"itemsPerPage": 1,
"totalPages": 1,
"currentPage": 1
},
"links": {
"first": "text",
"previous": "text",
"next": "text",
"last": "text"
}
}Internal ID of the Violet Entity
The maximum number of results to return.
A page number within the paginated result set.
Activities pertaining to the given internal Violet Entity
GET /api/activities/internal-violet-entity?violetEntityId=text HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
Activities pertaining to the given internal Violet Entity
{
"items": [
{
"id": "text",
"class": "IntegrationActivity",
"eventType": "ENTITY_ADDED",
"details": {},
"createdAt": "2026-01-01T00:00:00.000Z",
"tenantId": "text",
"parentActivityId": "text",
"parentActivity": {
"id": "text",
"class": "IntegrationActivity",
"eventType": "ENTITY_ADDED",
"details": {},
"createdAt": "2026-01-01T00:00:00.000Z",
"tenantId": "text",
"parentActivityId": "text",
"parentActivity": {
"id": "text",
"class": "IntegrationActivity",
"eventType": "ENTITY_ADDED",
"details": {},
"createdAt": "2026-01-01T00:00:00.000Z",
"tenantId": "text",
"parentActivityId": "text",
"parentActivity": "[Circular Reference]",
"childActivities": "[Circular Reference]",
"allDescendantIds": [
"text"
],
"scopeWorkspaceIds": [
"text"
],
"scopeProgramIds": [
"text"
],
"scopeConnectionIds": [
"text"
],
"notificationEvents": "[Circular Reference]",
"fetchJobId": "text",
"workflowRuns": "[Circular Reference]",
"isHidden": true
},
"childActivities": [
"[Circular Reference]"
],
"allDescendantIds": [
"text"
],
"scopeWorkspaceIds": [
"text"
],
"scopeProgramIds": [
"text"
],
"scopeConnectionIds": [
"text"
],
"notificationEvents": [
"[Circular Reference]"
],
"fetchJobId": "text",
"workflowRuns": [
"[Circular Reference]"
],
"isHidden": true
},
"childActivities": [
{
"id": "text",
"class": "IntegrationActivity",
"eventType": "ENTITY_ADDED",
"details": {},
"createdAt": "2026-01-01T00:00:00.000Z",
"tenantId": "text",
"parentActivityId": "text",
"parentActivity": {
"id": "text",
"class": "IntegrationActivity",
"eventType": "ENTITY_ADDED",
"details": {},
"createdAt": "2026-01-01T00:00:00.000Z",
"tenantId": "text",
"parentActivityId": "text",
"parentActivity": {
"id": "text",
"class": "IntegrationActivity",
"eventType": "ENTITY_ADDED",
"details": {},
"createdAt": "2026-01-01T00:00:00.000Z",
"tenantId": "text",
"parentActivityId": "text",
"parentActivity": "[Circular Reference]",
"childActivities": "[Circular Reference]",
"allDescendantIds": [
"text"
],
"scopeWorkspaceIds": [
"text"
],
"scopeProgramIds": [
"text"
],
"scopeConnectionIds": [
"text"
],
"notificationEvents": "[Circular Reference]",
"fetchJobId": "text",
"workflowRuns": "[Circular Reference]",
"isHidden": true
},
"childActivities": [
"[Circular Reference]"
],
"allDescendantIds": [
"text"
],
"scopeWorkspaceIds": [
"text"
],
"scopeProgramIds": [
"text"
],
"scopeConnectionIds": [
"text"
],
"notificationEvents": [
"[Circular Reference]"
],
"fetchJobId": "text",
"workflowRuns": [
"[Circular Reference]"
],
"isHidden": true
},
"childActivities": "[Circular Reference]",
"allDescendantIds": [
"text"
],
"scopeWorkspaceIds": [
"text"
],
"scopeProgramIds": [
"text"
],
"scopeConnectionIds": [
"text"
],
"notificationEvents": "[Circular Reference]",
"fetchJobId": "text",
"workflowRuns": "[Circular Reference]",
"isHidden": true
}
],
"allDescendantIds": [
"text"
],
"scopeWorkspaceIds": [
"text"
],
"scopeProgramIds": [
"text"
],
"scopeConnectionIds": [
"text"
],
"notificationEvents": [
{
"id": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"deletedAt": "2026-01-01T00:00:00.000Z",
"status": "unread",
"seq": 1,
"activity": "[Circular Reference]",
"notificationTitle": "text",
"notificationUrl": "text",
"targetUserId": "text",
"targetUser": "[Circular Reference]"
}
],
"fetchJobId": "text",
"workflowRuns": [
{
"id": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"deletedAt": "2026-01-01T00:00:00.000Z",
"workflowConfiguration": "[Circular Reference]",
"workflowConfigurationId": "text",
"runStartAt": "2026-01-01T00:00:00.000Z",
"runFinishedAt": "2026-01-01T00:00:00.000Z",
"runStatus": "QUEUED",
"runInfo": "text",
"activity": "[Circular Reference]",
"gateResponder": "[Circular Reference]",
"createdSyncChanges": "[Circular Reference]",
"executedSyncChanges": "[Circular Reference]"
}
],
"isHidden": true
}
],
"meta": {
"itemCount": 1,
"totalItems": 1,
"itemsPerPage": 1,
"totalPages": 1,
"currentPage": 1
},
"links": {
"first": "text",
"previous": "text",
"next": "text",
"last": "text"
}
}Was this helpful?

